Announcement: New Knowledge Base

4 June 2020: We are pleased to announce the launch of a new Knowledge Base, Changelogs for Business Security Products, where you can find more details, such as bugfixes or new features, about the most recent releases of our business-related products.

Mandatory manual upgrades to F-Secure Software Updater engines in less than a week, while everyone i

etomcatetomcat Posts: 1,318 Superuser

Dear F-Secure,

 

Today I have received an e-mail notification which says anybody outside of the latest F-Secure Business Suite 14.20 version has to install within 7 days either a new minor product version or a hotfix, just to keep the Software Updater module working beyond 2019 July 31, as described here:

 

https://community.f-secure.com/t5/Business-Suite/Upgrades-to-Software-Updater/ta-p/118347/

Mandatory upgrades to Software Updater engines bring many improvements

 

That's so unrealistic! Have you considered how impossible a one-week deadline is during the middle of summer when so many people are on holiday, including IT staff? I think you should either delay the event until September or make it fully automated, if solving the issue absolutely cannot wait until the summer season ends. Considering the capabilites of F-Secure Channel infrastructure, fully automated patching shouldn't be impossible.

 

Thanks for your kind attention, Yours Sincerely: Tamas Feher, Hungary.

MJ-perComp

Comments

  • VadVad Posts: 1,050 F-Secure Employee

    Hello Tamas,

     

    Mandatory upgrade/hotfixing is required for Client Security 14.00, 14.01 and 14.02 Premium. Without that F-Secure Software Updater will stop working completely on workstations with this versions. Unfortunately, we don't have a channel for updating SWUP in this versions.

     

    12-13 CS/SS products will get the update from the channel automatically.

    CS 14.10 and SS 14.00 doesn't require any special actions.

     

    Without PM upgrades SWUP will continue working, but with some limitations. For example Internet access may be required for clients to download patches, or list of patches will not be updating properly in PMC (while automatic patch installation will continue working normally).

     

    Because of that, PM upgrading is recommended, but, in most cases, not urgent.

     

    Best regards,

    Vad

  • MJ-perCompMJ-perComp Posts: 1,098 Superuser

    nothing to add... :-!

    There are enough ways in GUTS and backweb based AUA to implement a fix, even if it has to be a two-step-procedure. Please review the possibilties!

     

    What about pushing an update using the existing SWUP if the binary channels do not work?

     

    BR
    Matthias

This discussion has been closed.